Page MenuHomePhabricator

Outreachy Microtask: Check if '/tests/selenium/log' is included in .gitignore in all repositories with Selenium tests
Open, MediumPublic

Description

Instructions:

  1. Pick any 3 repositories/extensions from the list given below
  2. Add your Phabricator Username next to the repository you pick by editing the task description
  3. Check the .gitignore file for P12611 in the repository you picked
  4. Create a patch by adding /tests/selenium/log in .gitignore if it is not present. (Set the topic to T265463 in Gerrit)
  5. If it is already present, mark the repository as done

Make sure you add your Phabricator Username next to the repository you pick before you start working on it to avoid multiple students working on the same repository


Repositories:

TODO

  • check if wikidata/query/gui needs the file

Details

ProjectBranchLines +/-Subject
phabricator/deploymentwmf/stable+1 -0
wikimedia/portals/deploymaster+2 -1
mediawiki/extensions/WikibaseMediaInfomaster+1 -1
wikidata/query/guimaster+1 -0
mediawiki/extensions/ORESmaster+1 -0
mediawiki/extensions/Mathmaster+1 -0
mediawiki/extensions/Wikibasemaster+2 -0
wikibase/termboxmaster+1 -0
mediawiki/extensions/TemplateWizardmaster+1 -0
mediawiki/extensions/Citemaster+1 -0
mediawiki/extensions/CirrusSearchmaster+1 -0
mediawiki/extensions/ElectronPdfServicemaster+1 -0
mediawiki/extensions/ProofreadPagemaster+1 -0
mediawiki/extensions/Echomaster+1 -0
mediawiki/extensions/RevisionSlidermaster+1 -0
mediawiki/extensions/TwoColConflictmaster+1 -0
mediawiki/extensions/Newslettermaster+1 -0
mediawiki/extensions/Newslettermaster+0 -1
mediawiki/extensions/AdvancedSearchmaster+1 -0
Show related patches Customize query in gerrit

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

@Akanksha_Bhattachan: You cannot "delete". Please abandon - thanks!

@Aklapper : Oki, thanks .

Change 634393 had a related patch set uploaded (by Akanksha Bhattachan; owner: Akanksha Bhattachan):
[mediawiki/extensions/TwoColConflict@master] Added '/tests/selenium/log' in .gitignore

https://gerrit.wikimedia.org/r/634393

Change 634267 abandoned by Akanksha Bhattachan:
[mediawiki/extensions/Newsletter@master] Added '/tests/selenium/log' in .gitignore

Reason:
This change is already done in 634242

https://gerrit.wikimedia.org/r/634267

Vidhi-Mody updated the task description. (Show Details)Oct 16 2020, 5:29 AM

Change 634394 had a related patch set uploaded (by Akanksha Bhattachan; owner: Akanksha Bhattachan):
[mediawiki/extensions/ElectronPdfService@master] Add '/tests/selenium/log' in file .gitignore.

https://gerrit.wikimedia.org/r/634394

Change 634393 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Added '/tests/selenium/log' in .gitignore

https://gerrit.wikimedia.org/r/634393

Change 634242 merged by jenkins-bot:
[mediawiki/extensions/Newsletter@master] Added '/tests/selenium/log' in .gitignore

https://gerrit.wikimedia.org/r/634242

Akanksha_Bhattachan updated the task description. (Show Details)

Change 634353 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@master] Add /tests/selenium/log to .gitignore file

https://gerrit.wikimedia.org/r/634353

Change 634343 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Add /tests/selenium/log to .gitignore file

https://gerrit.wikimedia.org/r/634343

Change 634347 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Add /tests/selenium/log to .gitignore file

https://gerrit.wikimedia.org/r/634347

Vidhi-Mody updated the task description. (Show Details)Oct 16 2020, 9:39 AM
Vidhi-Mody updated the task description. (Show Details)Oct 16 2020, 9:47 AM
Vidhi-Mody updated the task description. (Show Details)Oct 16 2020, 1:30 PM
santana updated the task description. (Show Details)Oct 16 2020, 1:34 PM
santana added a subscriber: santana.

Change 634394 merged by jenkins-bot:
[mediawiki/extensions/ElectronPdfService@master] Add '/tests/selenium/log' in .gitignore file.

https://gerrit.wikimedia.org/r/634394

Change 634296 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Add /tests/selenium/log to .gitignore file

https://gerrit.wikimedia.org/r/634296

Change 634528 had a related patch set uploaded (by Sskenner; owner: Sskenner):
[mediawiki/extensions/Wikibase@master] build: Add /tests/selenium/log in .gitignore

https://gerrit.wikimedia.org/r/634528

santana updated the task description. (Show Details)Oct 16 2020, 2:02 PM
santana updated the task description. (Show Details)Oct 16 2020, 2:05 PM

Change 634529 had a related patch set uploaded (by Sskenner; owner: Sskenner):
[wikibase/termbox@master] build: Add /tests/selenium/log in .gitignore

https://gerrit.wikimedia.org/r/634529

Richa1496 updated the task description. (Show Details)Oct 17 2020, 8:50 AM
Richa1496 updated the task description. (Show Details)
Richa1496 added a subscriber: Richa1496.
Richa1496 updated the task description. (Show Details)Oct 17 2020, 8:57 AM
Richa1496 updated the task description. (Show Details)Oct 17 2020, 9:03 AM
Richa1496 updated the task description. (Show Details)
Vidhi-Mody updated the task description. (Show Details)Oct 17 2020, 11:05 AM
Vidhi-Mody updated the task description. (Show Details)
santana updated the task description. (Show Details)Oct 20 2020, 12:10 PM
santana updated the task description. (Show Details)Oct 20 2020, 6:11 PM

Change 635354 had a related patch set uploaded (by Sskenner; owner: Sskenner):
[mediawiki/extensions/Cite@master] Selenium: Add selenium logs to .gitignore

https://gerrit.wikimedia.org/r/635354

santana updated the task description. (Show Details)Oct 20 2020, 6:25 PM
santana updated the task description. (Show Details)

Change 635354 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] Selenium: Add selenium logs to .gitignore

https://gerrit.wikimedia.org/r/635354

Vidhi-Mody updated the task description. (Show Details)Oct 20 2020, 8:00 PM

Change 634681 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Richa Sharma):
[mediawiki/extensions/TemplateWizard@master] Add tests/selenium/log to .gitignore

https://gerrit.wikimedia.org/r/634681

Change 634529 abandoned by Sskenner:
[wikibase/termbox@master] Selenium: Add selenium logs to .gitignore

Reason:
@Željko
I think we made a mistake with this repository. It doesn't need this folder in .gitignore because Selenium tests from this repository are always executed from Wikibase repository, so the logs will be created there.

This commit should be abandoned.

https://gerrit.wikimedia.org/r/634529

Change 634528 abandoned by Sskenner:
[mediawiki/extensions/Wikibase@master] Add /tests/selenium/log/ folder to .gitignore file

Reason:
Wikibase is a little different from other repos. Tests are present in a folder called repo. The selenium log is already mentioned in the .gitignore file at line 7. You can mark this repo as done.

https://gerrit.wikimedia.org/r/634528

Vicky0602 updated the task description. (Show Details)Oct 24 2020, 7:53 AM
Vicky0602 added a subscriber: Vicky0602.

Change 634681 merged by jenkins-bot:
[mediawiki/extensions/TemplateWizard@master] Add tests/selenium/log to .gitignore

https://gerrit.wikimedia.org/r/634681

Hello,

I picked up 3 repositories as below:

  • mediawiki/extensions/AbuseFilter --> Already have the path "/tests/selenium/log/" in .gitignore file -> done
  • mediawiki/extensions/RelatedArticles --> Already have the path "/tests/selenium/log/" in .gitignore file -> done
  • mediawiki/extensions/WikibaseMediaInfo --> The .gitignore file have "tests/selenium/log/" , So I changed the path to "/tests/selenium/log/" --> Review at https://gerrit.wikimedia.org/r/c/mediawiki/extensions/WikibaseMediaInfo/+/636156

Thank you!

Change 634038 merged by jenkins-bot:
[mediawiki/extensions/Math@master] Add /tests/selenium/log/ folder to .gitignore file

https://gerrit.wikimedia.org/r/634038

santana updated the task description. (Show Details)Oct 28 2020, 7:45 AM
435643 updated the task description. (Show Details)Oct 29 2020, 12:02 PM
435643 added a subscriber: 435643.
BlessingDickson added a subscriber: BlessingDickson.
435643 updated the task description. (Show Details)Oct 30 2020, 6:24 PM
435643 updated the task description. (Show Details)Oct 30 2020, 6:31 PM

Change 637764 had a related patch set uploaded (by BlessingDickson; owner: BlessingDickson):
[mediawiki/extensions/ORES@master] Add /tests/selenium/log

https://gerrit.wikimedia.org/r/637764

435643 updated the task description. (Show Details)Oct 31 2020, 12:43 PM

Change 637764 had a related patch set uploaded (by BlessingDickson; owner: BlessingDickson):
[mediawiki/extensions/ORES@master] Add /tests/selenium/log to .gitignore

https://gerrit.wikimedia.org/r/637764

Vidhi-Mody updated the task description. (Show Details)Nov 4 2020, 12:08 PM
Vidhi-Mody updated the task description. (Show Details)Nov 4 2020, 12:11 PM
Vidhi-Mody updated the task description. (Show Details)
Vidhi-Mody updated the task description. (Show Details)Nov 4 2020, 12:14 PM
Vidhi-Mody updated the task description. (Show Details)
Vidhi-Mody updated the task description. (Show Details)Nov 4 2020, 12:16 PM
Vidhi-Mody updated the task description. (Show Details)Nov 4 2020, 12:20 PM
Vidhi-Mody updated the task description. (Show Details)Nov 4 2020, 12:26 PM
Vidhi-Mody updated the task description. (Show Details)Nov 4 2020, 12:30 PM
Vidhi-Mody updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)Nov 4 2020, 1:08 PM

Change 637764 abandoned by Zfilipin:
[mediawiki/extensions/ORES@master] Add /tests/selenium/log to .gitignore

Reason:

https://gerrit.wikimedia.org/r/637764

Change 639269 had a related patch set uploaded (by Harriet Ayugi; owner: Harriet Ayugi):
[wikidata/query/gui@master] Add /tests/selenium/log to .gitignore file

https://gerrit.wikimedia.org/r/639269

Harriet updated the task description. (Show Details)Nov 4 2020, 8:30 PM
Harriet updated the task description. (Show Details)Nov 4 2020, 8:33 PM

Change 639278 had a related patch set uploaded (by Harriet Ayugi; owner: Harriet Ayugi):
[wikimedia/portals/deploy@master] Add tests/selenium/log to .gitignore

https://gerrit.wikimedia.org/r/639278

Harriet updated the task description. (Show Details)Nov 4 2020, 8:49 PM

Change 639293 had a related patch set uploaded (by Harriet Ayugi; owner: Harriet Ayugi):
[phabricator/deployment@wmf/stable] Add tests/selenium/log to .gitignore

https://gerrit.wikimedia.org/r/639293

Harriet updated the task description. (Show Details)Nov 4 2020, 9:42 PM

Change 636156 had a related patch set uploaded (by Matthias Mullie; owner: vicky0602):
[mediawiki/extensions/WikibaseMediaInfo@master] Selenium: Add log folder to .gitignore

https://gerrit.wikimedia.org/r/636156

Change 636156 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Selenium: Add log folder to .gitignore

https://gerrit.wikimedia.org/r/636156

Soham assigned this task to Harriet.Nov 25 2020, 11:00 AM
Soham reassigned this task from Harriet to zeljkofilipin.Nov 25 2020, 11:03 AM

Change 639278 merged by jenkins-bot:
[wikimedia/portals/deploy@master] Add tests/selenium/log to .gitignore

https://gerrit.wikimedia.org/r/639278

Change 639293 merged by 20after4:
[phabricator/deployment@wmf/stable] Add tests/selenium/log to .gitignore

https://gerrit.wikimedia.org/r/639293

zeljkofilipin updated the task description. (Show Details)
zeljkofilipin moved this task from In Progress 🔨 to Next 🔜 on the User-zeljkofilipin board.